lkml.org 
[lkml]   [2012]   [Mar]   [28]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: GMA500 support
> From a quick look this seems to be developed for Poulsbo, but since you
> mention GMA600 explicitly, is it supposed to work on newer hardware as
> well? I'm specifically interested in the Atom N2600 which has a GMA3600
> (0x8086:0x0be1 to be exact).

I believe there are GMA600 and 3600 bits buried in the packages for
Maemo/Meego/Tizen vaapi code but I've not looked.

> I'm also not sure which kernel driver this was developed against. It
> looks like it might have been against the initial staging variant. At
> least it still has some references to TTM, so I guess anyone wanting to
> port it to the new kernel driver would have to convert those to GEM.

The one for the 3D/2D non-free user space driver. I've been working on
Cedartrail primarily at the moment so not had time to dig further into
the video playback logic. I did get the decoder detected and mapped
happily but haven't yet had time to persuade the firmware to upload.

It'll also need the driver extending to support the overlay planes
feature in the DRI/DRM layer.

> Do you think that would be doable? Can you say if the GMA3600 is
> sufficiently similar to make that driver work

I don't know for sure.

Alan


\
 
 \ /
  Last update: 2012-03-28 16:53    [from the cache]
©2003-2011 Jasper Spaans